### Method

# Json Node init_double

#### Declaration [src]

    JsonNode*
    json_node_init_double (
      JsonNode* node,
      gdouble value
    )

#### Description [src]

Initializes `node` to `JSON_NODE_VALUE` and sets `value` into it.

If the node has already been initialized once, it will be reset to the given type, and any data contained will be cleared.

Available since: | 0.16

#### Parameters

`value` | `gdouble`
| A floating point value.

#### Return value

Returns: | `JsonNode`
| The initialized node.
| The data is owned by the instance.